> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# グループメンバーを一覧表示

> アカウント認可グループメンバーを一覧表示

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/auth/groups/{group_id}/members
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: アカウント認可グループメンバーを一覧表示
      description: パスアカウントに紐づくグループの直接メンバーを一覧表示します。
      operationId: >-
        list_public_account_auth_group_members_v1_public_accounts__account_id__auth_groups__group_id__members_get
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMembersPageResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMembersPageResponse:
      properties:
        account_id:
          format: uuid
          title: アカウントID
          type: string
        group_id:
          title: グループ ID
          type: string
        groups:
          items:
            $ref: '#/components/schemas/GroupResponse'
          title: グループ
          type: array
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: リンク済みスコープ
          type: array
        members:
          items:
            $ref: '#/components/schemas/GroupMemberResponse'
          title: メンバー
          type: array
        page:
          title: ページ
          type: integer
        page_size:
          title: ページサイズ
          type: integer
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: 検索
        total:
          title: 合計
          type: integer
        users:
          items:
            $ref: '#/components/schemas/GroupMemberUserResponse'
          title: ユーザー
          type: array
      required:
        - group_id
        - account_id
        - page
        - page_size
        - total
      title: グループメンバーsPageレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: アカウントID
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: 属性
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: 説明
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: キーcloak アカウント ID
        keycloak_name:
          title: キーcloak 名
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: リンク済みスコープ
          type: array
        name:
          title: 名前
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: 親 ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: パス
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: サブグループ ID
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: グループレスポンス
      type: object
    GroupScopeLinkResponse:
      description: グループにリンクされたリソース スコープのスキーマ。
      properties:
        resource_id:
          format: uuid
          title: リソース ID
          type: string
        resource_type:
          title: リソースタイプ
          type: string
      required:
        - resource_type
        - resource_id
      title: グループスコープLinkレスポンス
      type: object
    GroupMemberResponse:
      description: 単一の直接グループ メンバー エントリ。
      properties:
        group:
          anyOf:
            - $ref: '#/components/schemas/GroupResponse'
            - type: 'null'
        resolved:
          title: 解決済み
          type: boolean
        subject_id:
          title: サブジェクト ID
          type: string
        subject_type:
          title: サブジェクトタイプ
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/GroupMemberUserResponse'
            - type: 'null'
      required:
        - subject_type
        - subject_id
        - resolved
      title: グループメンバーレスポンス
      type: object
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: メール
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: 名
        id:
          title: ID
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: 姓
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: ユーザー名
      required:
        - id
      title: グループメンバーユーザーレスポンス
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
    PermissionInspectabilitySnapshot:
      description: ユーザー、グループ、および招待状の管理のための共有検査可能性スナップショット。
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: 割り当て済みバンドルキー
          type: array
        direct_capability_keys:
          items:
            type: string
          title: 直接ケイパビリティキー
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: 所有者割り当て
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: 解決済みケイパビリティキー
          type: array
        status:
          default: active
          title: ステータス
          type: string
        subject_id:
          default: ''
          title: サブジェクト ID
          type: string
        subject_type:
          default: unknown
          title: サブジェクトタイプ
          type: string
      title: 権限InspectabilitySnapshot
      type: object
    OwnerAssignmentSnapshot:
      description: アカウント所有者の関係を示すスキーマ。
      properties:
        account_id:
          format: uuid
          title: アカウントID
          type: string
      required:
        - account_id
      title: Owner割り当てSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````